Package org.eclipse.lemminx.extensions.entities.participants

## Class EntitiesCompletionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter
  - - org.eclipse.lemminx.extensions.entities.participants.EntitiesCompletionParticipant

All Implemented Interfaces:
  `ICompletionParticipant`

    public class EntitiesCompletionParticipant
    extends CompletionParticipantAdapter

Entities completion used in a text node (ex : &).

### Constructor Summary

Constructors
`EntitiesCompletionParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onXMLContent​(ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter

`onAttributeName, onAttributeValue, onDTDSystemId, onTagOpen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.completion.ICompletionParticipant

`getResolveCompletionItemParticipant`

### Constructor Detail

#### EntitiesCompletionParticipant

    public EntitiesCompletionParticipant()

### Method Detail

#### onXMLContent

    public void onXMLContent​(ICompletionRequest request,
                             ICompletionResponse response,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                      throws Exception

Specified by:
  `onXMLContent` in interface `ICompletionParticipant`
Overrides:
  `onXMLContent` in class `CompletionParticipantAdapter`
Throws:
  `Exception`